Subject: Re: bug#54481: 29.0.50; [PATCH] Rewrite hl-line

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Mar 2022 16:09:32 +0100

dick <[email-masked]> writes:

> The fashion of dual global and minor modes, each managing a replica of
> state, has long been outmoded by globalized minor modes (nee
> easy-mmode-define-global-mode) around the turn of the century.

Makes sense to me, so I've applied the patch to Emacs 29.  The one thing
I was unsure about was things like this:

> -(defun hl-line-unload-function ()
> -  "Unload the Hl-Line library."

We normally don't remove functions like this, but just make them
obsolete.  But in this case it seems unlikely to me that anybody would
actually ever use these functions, so I didn't alter that part.  But if
anybody complains, we should take them the normal obsoletion route.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no